
<?php


use Illuminate\Support\Facades\Route;


// CRUD de usuarios
Route::prefix('users')->group(function () {

    // Listar usuarios
    Route::get('/', [UserController::class, 'index']);

    // Obtener un usuario
    Route::get('/{id}', [UserController::class, 'show']);

    // Crear usuario
    Route::post('/', [UserController::class, 'store']);

    // Actualizar usuario
    Route::put('/{id}', [UserController::class, 'update']);

    // (Opcional) Eliminar usuario
    // Route::delete('/{id}', [UserController::class, 'destroy']);
});